Skip to main content
POST
/
workflows
/
{runId}
/
respond
cURL
curl --request POST \
  --url https://api.juo.io/customer/v1/workflows/{runId}/respond \
  --header 'Content-Type: application/json' \
  --header 'X-Delegated-Token: <api-key>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --data '
{
  "interactionId": "<string>",
  "responseType": "<string>",
  "responseData": {},
  "expectedRunVersion": 123
}
'
{
  "workflowId": "<string>",
  "workflowVersion": 123,
  "runId": "<string>",
  "runVersion": 123,
  "pendingInteraction": {
    "interactionId": "<string>",
    "stepId": "<string>",
    "actionType": "<string>",
    "actionBehavior": "input",
    "actionConfig": {},
    "availableResponses": [
      {
        "type": "<string>",
        "label": "<string>"
      }
    ],
    "presentedAt": "2023-11-07T05:31:56Z",
    "timeoutMs": 123
  },
  "interactiveSteps": [
    {
      "stepId": "<string>",
      "actionType": "<string>",
      "actionConfig": {},
      "availableResponses": [
        {
          "type": "<string>",
          "label": "<string>"
        }
      ]
    }
  ],
  "result": {},
  "error": {
    "message": "<string>",
    "code": "<string>"
  },
  "invalidatedResources": [
    "<string>"
  ],
  "outcome": {
    "type": "<string>",
    "message": "<string>"
  },
  "completionData": {
    "outcome": {
      "type": "<string>",
      "message": "<string>"
    },
    "endStep": {
      "id": "<string>",
      "category": "<string>",
      "label": "<string>"
    }
  }
}

Authorizations

X-Delegated-Token
string
header
required

Headers

X-Tenant-ID
string
required

Unique identifier of the tenant in the system (usually a store identifier)

Path Parameters

runId
string<uuid>
required

The workflow run identifier

Body

application/json
interactionId
string
required
responseType
string
required
responseData
object
expectedRunVersion
number

Response

200 - application/json

Default Response

workflowId
string
required
workflowVersion
number
required
runId
string
required
runVersion
number
required
status
enum<string>
required
Available options:
running,
waiting_interaction,
completed,
failed,
cancelled
pendingInteraction
object
interactiveSteps
object[]
result
object
error
object
invalidatedResources
string[]
outcome
object
completionData
object